<?php

namespace App\Exceptions;

class AuthException extends \RuntimeException
{
    public function __construct(string $message, private int $status = 401, private array $details = [])
    {
        parent::__construct($message);
    }

    public function status(): int
    {
        return $this->status;
    }

    public function details(): array
    {
        return $this->details;
    }
}
